=== modified file 'bzrlib/tests/test_patches.py'
--- bzrlib/tests/test_patches.py	2014-12-09 23:18:32 +0000
+++ bzrlib/tests/test_patches.py	2014-12-10 07:54:47 +0000
@@ -65,16 +65,12 @@
     def test_parse_patches_file_modified_header(self):
         """Parse a patch containing a file modified header"""
         # https://bugs.launchpad.net/bzr/+bug/1400567
-
         lines = ["=== modified file 'orig/commands.py'\n",
                  "--- orig/commands.py\n",
                  "+++ mod/dommands.py\n"]
-
-        # XXX: just parse 1 patch
-        patches = parse_patches(lines, allow_dirty=True)
-        for patch in patches:
-            self.assertEqual(patch.get_modified_header(),
-                             "=== modified file 'orig/commands.py'")
+        patch = parse_patch(lines.__iter__())
+        self.assertEqual(patch.get_modified_header(),
+                         "=== modified file 'orig/commands.py'")
 
     def testValidPatchHeader(self):
         """Parse a valid patch header"""

